Description

Now that creation of new fields in an existing DBF table via OGR is possible r1 please implement this functionality in table editor fro

Shapefiles.

r1http://trac.osgeo.org/gdal/ticket/2672

History

#1 - 2008-12-07 05:08 PM - Jürgen Fischer

OGR still doesn't support deletion of fields.

#2 - 2008-12-08 01:55 AM - Martin Dobias

Replying to [comment:1 jef]:

OGR still doesn't support deletion of fields.

Indeed it doesn't, however there's a patch pending:

http://trac.osgeo.org/gdal/ticket/2671

Martin

#3 - 2008-12-15 11:27 AM - Marco Hugentobler

One issue I had with this patch: after commiting the added fields, they where not visible in the attribute table and with the info tools. I had to remove and

reopen the layer to have the fields in the attribute table.

Would it be possible to reopen the OGR datasource inside the ogr provider after adding fields?

Thanks,

Marco

#4 - 2008-12-17 03:33 AM - Marco Hugentobler

I'm suggesting to push this to 1.0.1 to have more time for testing
#5 - 2009-01-19 10:08 AM - Paolo Cavallini

Would this be the right time to apply it to trunk?

#6 - 2009-01-19 11:16 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to fixed

Replying to [comment:6 pcav]:

Would this be the right time to apply it to trunk?

applied in commit:98d9d513 (SVN r9983)

#7 - 2009-08-22 01:01 AM - Anonymous

Milestone Version 1.0.1 deleted

Files

patch_for_1446.diff 2.88 KB 2008-12-07 Jürgen Fischer
